import type { Metadata } from "next";
import { ChatListScreen } from "../../../components/dashboard/chat/chat-list";
import { RightSideNavbar } from "@/components/dashboard/right-side-navbar";

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function ChatLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
      <section className="h-screen flex flex-1">
        <RightSideNavbar />
        <div className="bg-deepBlue  xl:w-[456px] h-full xl:flex hidden">
          <ChatListScreen />
        </div>
        {children}
      </section>
  );
}
